Loading...
Searching...
No Matches
Opm::data::CellData Struct Reference

Small struct that keeps track of data for output to restart/summary files. More...

`#include <Cells.hpp>`

## Public Member Functions

| CellData (UnitSystem::measure m, std::vector< double > x, TargetType dest)
| CellData (std::vector< int > x, TargetType dest)
bool | operator== (const CellData &cell2) const
template<class Serializer>
void | serializeOp (Serializer &serializer)
template<class T>
std::vector< T > & | data ()
template<class T>
const std::vector< T > & | data () const
template<class Visitor>
void | visit (Visitor &&visit) const

## Static Public Member Functions

static CellData | serializationTestObject ()

## Public Attributes

UnitSystem::measure | dim {UnitSystem::measure::identity}
| Dimension of the data to write.
TargetType | target {TargetType::RESTART_SOLUTION}
| File output destination.

## Detailed Description

Small struct that keeps track of data for output to restart/summary files.

The documentation for this struct was generated from the following file:

- opm/output/data/Cells.hpp